Name: x11-driver-scripts
Version: 0.2.1
Release: %mkrel 3
Summary: Finalizing nvidia or frglx (un)installations
Group: System/X11
URL: http://www.pclinuxos.com
Source: %{name}-%{version}.tar.bz2
License: GPL
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-root
Requires: zenity, at

%description
Scripts for finalizing nvidia or frglx proprietary rpm (un)installations.
These scripts should be called from the relevant rpms post (un)installation.

%prep
%setup -q

%install
#make our needed dirs
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}

#install stuff
install -m 0755 x11-driver-finalize* $RPM_BUILD_ROOT%{_sbindir}/
install fglrx.conf $RPM_BUILD_ROOT%{_datadir}/%{name}/

%clean
rm -rf %{buildroot}

%post
#make doubley sure that these are executable
chmod a+x %{_sbindir}/x11-driver-finalize*

%files
%defattr(-,root,root)
%doc CHANGELOG TODO
%{_sbindir}/x11-driver-finalize*
%{_datadir}/%{name}/*


%changelog
* Sun Aug 10 2008 Gettinther <gettinther@gmail.com> 0.2.1-3pclos2007
- Remove the "section Files" from the xorg.conf check as this section is now removed by XFdrake
- Enabled composite by default for fglrx driver (it's well able for it)

* Sun Dec 30 2007 texstar <texstar@gmail.com> 0.2.1-2pclos2007
- tweak the fglrx driver scrip for 1280x1024

* Thu May 17 2007 ocilent1 <ocilent1 at gmail dot com> 0.2.1-1pclos2007
- New 0.2.1 release

* Sat May 12 2007 ocilent1 <ocilent1 at gmail dot com> 0.2.0-1pclos2007
- New 0.2.0 release

* Thu May 03 2007 ocilent1 <ocilent1 at gmail dot com> 0.2.0-0.2pclos2007
- New 0.2.0beta2 release

* Mon Apr 30 2007 ocilent1 <ocilent1 at gmail dot com> 0.2.0-0.1pclos2007
- New 0.2.0beta1 release

* Sat Apr 21 2007 ocilent1 <ocilent1 at gmail dot com> 0.1.3-1pclos2007
- New 0.1.3 release

* Tue Apr 17 2007 ocilent1 <ocilent1 at gmail dot com> 0.1.2-1pclos2007
- New 0.1.2 release

* Sat Apr 14 2007 ocilent1 <ocilent1 at gmail dot com> 0.1.1-1pclos2007
- New 0.1.1 release
- %%doc CHANGELOG and TODO

* Wed Mar 21 2007 ocilent1 <ocilent1 at gmail dot com> 0.1-1pclos2007
- Initial release
